// main.h

#ifndef MAIN_H
#define MAIN_H

#include <windows.h>
#include <commctrl.h>
#include <stdio.h>
#include <tchar.h>
#include <math.h>
#include <GL/gl.h>
#include <GL/glu.h>
#ifdef __cplusplus
extern "C" {
#endif
#include <jpeglib.h>
#include <jerror.h>
#ifdef __cplusplus
}
#endif
#include "guidage.h"
#include "model.h"
#include "opengl.h"
#include "command.h"
#include "utils.h"
#include "parametrie.h"
#include "loop.h"
#include "mgmres.h"
#include "ijvsparse.h"

#define ID_ICON 500
#define ID_MENU 501

#define IDC_OPENGL_CHILD_CONTROL  100

#define IDM_FILEOPEN   201
#define IDM_FILESAVE   202
#define IDM_FILEEXIT   203

#define IDM_AFFIAXES   211
#define IDM_AFFISOMM   212
#define IDM_AFFIARET   213
#define IDM_AFFIFACS   214
#define IDM_AFFINORM   215
#define IDM_AFFIBORD   216
#define IDM_AFFIFRON   217
#define IDM_AFFIPLAN   218
#define IDM_AFFITEXT   219
#define IDM_AFFITXTU   220
#define IDM_AFFITRAN   221
#define IDM_AFFIANIM   222
#define IDM_AFFIINIT   223

#define IDM_MODLSOMM   241
#define IDM_MODLARET   242
#define IDM_MODLFACE   243
#define IDM_MODLLOOP   244
#define IDM_MODLSTAT   245

#define IDM_TEXTIMGE   261
#define IDM_TEXTUNIE   262

#define IDM_HELPHELP   281
#define IDM_HELPAIDE   282
#define IDM_HELPAPRO   283

#endif  // MAIN_H
