// guidage.cpp

#include "guidage.h"

char info[256];    

void guidage(char *message) {  // pour le guidage dans la barre d'tat
    SendMessage(hSb, SB_SETTEXT, 0,(LONG)message);
}
void inform(char *message) {  // pour un message simple dans une fentre
    MessageBox(hWnd, message, monprojet, MB_OK);
}
void erreur(char *message) {  // pour un message d'erreur dans une fentre
    char titre[]="ERREUR  !!!\n\n";
    strcpy(info,titre);
    strcat(info,message);
    MessageBox(hWnd, info, monprojet, MB_ICONINFORMATION | MB_OK);
}
void quitter(char *message) {  // pour terminer en cas d'erreur grave
    char titre[]="Erreur irrmdiable\n\nL'application va se terminer\n\n";
    strcpy(info,titre);
    strcat(info,message);
    MessageBox(hWnd, info, monprojet, MB_ICONINFORMATION | MB_OK);
    deleteModel();
    PostQuitMessage(0);
    exit(-1);  
}
void sbmenu0(WORD param) {  // guidage pour le premier niveau du menu
    mnw=false;
    if(param == 0) guidage("Menu Fichier");
    if(param == 1) guidage("Menu Affichage");
    if(param == 2) guidage("Menu Modle");
    if(param == 3) guidage("Menu Texture");
    if(param == 4) guidage("Menu Aide");
}
void sbmenu1(WORD param) {  // guidage pour le second niveau du menu
    mnw=false;              // on dsactive temporairement la souris
    if(param == IDM_FILEOPEN)  guidage("Pour ouvrir un nouveau modle.");
    if(param == IDM_FILESAVE)  guidage("Pour sauvegarder le modle actuel.");
    if(param == IDM_FILEEXIT)  guidage("Pour quitter l'application.");
    if(param == IDM_AFFIAXES)  guidage("Pour afficher les axes ( Ox:rouge Oy:vert  Oz:bleu ).");
    if(param == IDM_AFFISOMM)  guidage("Pour afficher les sommets.");
    if(param == IDM_AFFIARET)  guidage("Pour afficher les artes.");
    if(param == IDM_AFFIFACS)  guidage("Pour afficher les faces.");
    if(param == IDM_AFFINORM)  guidage("Pour afficher les normales des faces.");
    if(param == IDM_AFFIBORD)  guidage("Pour afficher toutes les bordures.");
    if(param == IDM_AFFIFRON)  guidage("Pour afficher uniquement la frontire.");
    if(param == IDM_AFFIPLAN)  guidage("Pour afficher le plan (u,v).");
    if(param == IDM_AFFITEXT)  guidage("Pour afficher la texture.");
    if(param == IDM_AFFITXTU)  guidage("Pour afficher le modle textur.");
    if(param == IDM_AFFITRAN)  guidage("Pour afficher avec transparence.");
    if(param == IDM_AFFIANIM)  guidage("Pour afficher avec animation.");
    if(param == IDM_AFFIINIT)  guidage("Pour revenir aux conditions initiales d'affichage.");
    if(param == IDM_MODLSOMM)  guidage("Pour dcouper un sommet.");
    if(param == IDM_MODLARET)  guidage("Pour dcouper une arte (parfois deux).");
    if(param == IDM_MODLFACE)  guidage("Pour dcouper une face (suppression).");
    if(param == IDM_MODLLOOP)  guidage("Pour faire une itration de subdivision de C. Loop.");
    if(param == IDM_MODLSTAT)  guidage("Pour avoir la composition du modle actuel.");
    if(param == IDM_TEXTIMGE)  guidage("Pour charger une nouvelle image servant de texture.");
    if(param == IDM_TEXTUNIE)  guidage("Une autre couleur unie pour le modle non textur.");
    if(param == IDM_HELPHELP)  guidage("Pour avoir de l'aide.");
    if(param == IDM_HELPAIDE)  guidage("Pour voir l'aide html en ligne.");
    if(param == IDM_HELPAPRO)  guidage("A propos ...");
}
