// utils.h 

#ifndef UTILS_H
#define UTILS_H

#include "main.h"

void allocint(int **list, int n);
void allocfloat(float **list, int n);
void allocdouble(double **list, int n);
void reallocint(int **list, int ni, int nn);
void reallocfloat(float **list, int ni, int nn);
void reallocdouble(double **list, int ni, int nn);
void xint(int *i, int *j);
void xfloat(float *x, float *y);
void xdouble(double *x, double *y);
void jordan(double **a, double *b, int n);
double dist2p(double p1[3], double p2[3]);
double angletri(double p1[3], double p2[3], double p3[3]);

#endif  // UTILS_H
